> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firedrill.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current callback receiver metadata

> Requires project.read. Returns the current approval state, never signing material or provider references.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/projects/{projectId}/callback-receivers/{bindingId}
openapi: 3.1.0
info:
  title: Firedrill Control API
  version: 1.0.0
  description: >-
    The control plane for drills, drill runs, and the worlds they run in. Errors
    always carry the canonical envelope; unsafe operations require an
    Idempotency-Key; long work returns an operation resource.
servers:
  - url: https://api.firedrill.run
security:
  - controlCredential: []
paths:
  /v1/projects/{projectId}/callback-receivers/{bindingId}:
    get:
      summary: Get current callback receiver metadata
      description: >-
        Requires project.read. Returns the current approval state, never signing
        material or provider references.
      operationId: callbackReceivers.get
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            pattern: ^prj_[0-9a-z]{12,32}$
        - name: bindingId
          in: path
          required: true
          schema:
            type: string
            pattern: ^cbr_[0-9a-z]{12,32}$
      responses:
        '200':
          description: Receiver metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallbackReceiver'
        '401':
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        default:
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    CallbackReceiver:
      type: object
      properties:
        schemaVersion:
          type: number
          enum:
            - 1
        organizationId:
          type: string
          pattern: ^org_[0-9a-z]{12,32}$
        projectId:
          type: string
          pattern: ^prj_[0-9a-z]{12,32}$
        bindingId:
          type: string
          pattern: ^cbr_[0-9a-z]{12,32}$
        receiverId:
          type: string
          minLength: 1
          maxLength: 96
          pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
        origin:
          type: string
          maxLength: 2048
        signing:
          type: object
          properties:
            kind:
              type: string
              enum:
                - none
                - hmac-sha256
          required:
            - kind
          additionalProperties: false
        status:
          type: string
          enum:
            - candidate
            - approved
            - revoked
        version:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        createdAtMs:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        updatedAtMs:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - schemaVersion
        - organizationId
        - projectId
        - bindingId
        - receiverId
        - origin
        - signing
        - status
        - version
        - createdAtMs
        - updatedAtMs
      additionalProperties: false
    ErrorEnvelope:
      type: object
      properties:
        code:
          type: string
          pattern: ^(control|world)\.[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$
        message:
          type: string
          minLength: 1
        correlationId:
          type: string
          minLength: 1
        retryable:
          type: boolean
        retryAfterMs:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        operationId:
          type: string
        source:
          type: string
          enum:
            - platform
            - simulated_provider
        issues:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              code:
                type: string
              message:
                type: string
            required:
              - path
              - code
              - message
            additionalProperties: false
        details:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        evidence:
          type: object
          properties:
            sessionId:
              type: string
            runId:
              type: string
            journalSeq:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            buildHash:
              type: string
          additionalProperties: false
      required:
        - code
        - message
        - correlationId
        - retryable
        - source
      additionalProperties: true
  securitySchemes:
    controlCredential:
      type: http
      scheme: bearer
      description: Opaque control credential

````